<?php
/**
 * @package mod_tinydoc for Joomla! 2.5
 * @version $Id: mod_tinydoc.php 2012-06-28 $
 * @author Andreas Thul
 * @copyright (c) 2012 Andreas Thul
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// 2014-09-16: changed DS to DIRECTORY_SEPARATOR

defined('_JEXEC') or die('Restricted access');

require_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'helper.php');

if (modTinyDocHelper::checkComponentInstalled()) {

	if ($params->get('folder_id')) {

		$documents = modTinyDocHelper::getDocuments($params);
		require(JModuleHelper::getLayoutPath('mod_tinydoc'));
	}
	else {
		echo JText::_('TEXT_NO_FOLDER_SELECTED');
	}
}
else {
	echo JText::_('TEXT_COM_TINYDOC_NOT_FOUND');
}
?>
